<h1>
    <span style="color: red;font-size:larger">
        I am Login Component behaving as a child for the @output and Event emitter :)
    </span>
</h1>

<div class="container">
    <form>
        <div class="form-group">
            <label for="userName">User Name</label>
            <input type="text" name="userName" [(ngModel)]="userName" class="form-control" id="userName" required>
            <!-- <input type="text" name="userName" #ctrl="ngModel" required> -->
        </div>
        <div class="form-group">
            <label for="Password">Password</label>
            <input type="password" class="form-control" id="Password">
        </div>
        <button (click)="submit()">Login</button>
    </form>
</div>